Schedule Deployment
Deployments
Schedule Deployment
Schedule runs for a deployment. For backfills, provide start/end times in the past.
This function will generate the minimum number of runs that satisfy the min and max times, and the min and max counts. Specifically, the following order will be respected.
- Runs will be generated starting on or after the
start_time - No more than
max_runsruns will be generated - No runs will be generated after
end_timeis reached - At least
min_runsruns will be generated - Runs will be generated until at least
start_time + min_timeis reached
POST
Schedule Deployment
Documentation Index
Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Path Parameters
The deployment id
Body
application/json
The earliest date to schedule
The latest date to schedule
Runs will be scheduled until at least this long after the start_time
The minimum number of runs to schedule
The maximum number of runs to schedule
Response
Successful Response